
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>IOS开发之自定义Button(集成三种回调模式) / iVAN</title>

    <meta name="description" content="IOS开发之自定义Button(集成三种回调模式) 前面在做东西的时候都用到了storyboard,在今天的代码中就纯手写代码自己用封装个Button.这个Button继承于UIView类,在封装的时候用上啦OC中的三种回调模式:目标动作回调,委托回调,Block回调.具体的内容请参考之前的博客:&quot;Objective-C中的Block回调模式&quot;,&quot;Target-Action回调模式&quot;,&quot;Objective-C中的委托(代理)模式&quot;.在接下来要封装的button中将要用到上面的知识点.之前 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">IOS开发之自定义Button(集成三种回调模式)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>前面在做东西的时候都用到了storyboard，在今天的代码中就纯手写代码自己用封装个Button。这个Button继承于UIView类，在封装的时候用上啦OC中的三种回调模式：目标动作回调，委托回调，Block回调。具体的内容请参考之前的博客：“<a href="http://www.cnblogs.com/ludashi/p/3922911.html" rel="external nofollow noreferrer">Objective-C中的Block回调模式</a>”，“<a href="http://www.cnblogs.com/ludashi/p/3918703.html" rel="external nofollow noreferrer">Target-Action回调模式</a>”，“<a href="http://www.cnblogs.com/ludashi/p/3897807.html" rel="external nofollow noreferrer">Objective-C中的委托(代理)模式</a>”。在接下来要封装的button中将要用到上面的知识点。之前在做新浪微博中的Cell的时候用到了Block回调来确定是那个Cell上的那个Button。</p>
<p>　　在封装Button之前呢，简单的了解一下UIView中的触摸事件：</p>
<p>　　　　1.当触摸开始时会调用下面的事件</p>
<p>　　　　　　-(void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event</p>
<p> 　　　 2.当触摸取消时会调用下面的事件</p>
<p>　　　　　　-(void)touchesCancelled:(NSSet *)touches withEvent:(UIEvent *)event</p>
<p>　　     3.当触摸结束时会调用下面的事件</p>
<p>　　　　　　-(void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event</p>
<p>　　　　4.当触摸移动时会调用下面的事件</p>
<p>　　　　　　-(void)touchesMoved:(NSSet *)touches withEvent:(UIEvent *)event</p>
<p>　　所以在封装自己的button是我们会用上上面的方法，首先新建一个ViewController, 然后把我们新建的ViewController在AppDelegate.m中设置成我们的根视图，我们关于Button的初始化和配置都写在ViewController中的ViewDidLoad中代码如下：</p>
<pre><code>1    MyViewController *myViewController = [[MyViewController alloc] init];
2    self.window.rootViewController = myViewController;</code></pre>
<p> </p>
<p>　　一、目标动作回调：</p>
<p>　　　　首先新建一个MyButton类，MyButton类继承于UIView, 我们就在MyButton类中自定义我们的button.下面要为自定义Button添加目标动作回调接口，步骤如下：</p>
<p>　　　　　　1.在MyButton.h中声明目标动作注册方法：</p>
<pre><code>//TargetAction回调
-(void)addTarget:target action:(SEL)action;</code></pre>
<p> </p>
<p>　　　　2.在MyButton.m中进行实现：</p>
<pre><code>//延展
@interface MyButton()

@property (nonatomic,weak) id target;
@property (nonatomic, assign) SEL action;

@end

//实现
@implementation MyButton
//目标动作回调
-(void)addTarget:(id)target action:(SEL)action
{
    self.target = target;
    self.action = action;
}</code></pre>
<p>　　</p>
<p>　　　　3.通过target来执行action方法，触摸完成的事件中让target执行action方法，执行之前要判断一下触摸的释放点是否在按钮的区域内，代码如下：</p>
<pre><code>//当button点击结束时，如果结束点在button区域中执行action方法
-(void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event
{
    //获取触摸对象
    UITouch *touche = [touches anyObject];
    //获取touche的位置
    CGPoint point = [touche locationInView:self];

    //判断点是否在button中
    if (CGRectContainsPoint(self.bounds, point))
    {
        //执行action
        [self.target performSelector:self.action withObject:self];
    }

}</code></pre>
<p> </p>
<p>　　　　4.在MyViewController中进行button的初始化，并注册目标方法回调，当点击button时，我们MyViewController中的tapButton方法就会被执行：</p>
<pre><code>//在v2中添加一个button
    MyButton *button = [[MyButton alloc] initWithFrame:CGRectMake(10, 10, 44, 44)];

    button.backgroundColor = [UIColor blackColor];

    //注册回调
    [button addTarget:self action:@selector(tapButton)];</code></pre>
<p> </p>
<p>　　二、委托回调　</p>
<p>　　　1.在上面的基础上添加上委托回调，通过委托回调添加按钮是否可用，按钮将要点击和按钮点击后的事件，首先我们得有协议来声明这三个方法。协议我们就不新建文件了，下面的协议是添加在MyButton.h中的，协议定义如下：</p>
<pre><code>//定义MyButton要实现的协议, 用于委托回调
@protocol MyButtonDelegete &lt;NSObject&gt;

//可选择的实现
@optional

//当button将要点击时调用
-(void) myButtonWillTap:(MyButton *) sender;

//当button点击后做的事情
-(void) myButtonDidTap: (MyButton *) sender;

//判断button是否可以被点击
-(BOOL) myButtonShouldTap: (MyButton *) sender;

@end</code></pre>
<p> </p>
<p>　　　　2.在MyButton.h中添加delegate属性，为了避免强引用循环，定义为weak类型，用于回调的注册：</p>
<pre><code>//委托回调接口
@property (nonatomic, weak) id &lt;MyButtonDelegete&gt; delegate;</code></pre>
<p> </p>
<p>　　　　3.在MyButton.m中当开始点击按钮时做一下处理，首先得判断delegate对象是否实现了协议中的方法如果实现了就通过delegate回调，如果没实现就不调用</p>
<pre><code>-(void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event
{

    //判断myButtonShouldTap是否在degate中实现啦:委托回调
    if ([self.delegate respondsToSelector:@selector(myButtonShouldTap:)])
    {
        //如果实现了，就获取button的状态
        myButtonState = [self.delegate myButtonShouldTap:self];

    } 

    //根据按钮的状态来做处理
    if (myButtonState)
    {
        //如果myButtonWillTap被实现啦，此时我们就实现myButtonWillTapf方法
        if ([self.delegate respondsToSelector:@selector(myButtonWillTap:)])
        {
            [self.delegate myButtonWillTap:self];
        }
    }
}</code></pre>
<p> </p>
<p>　　　　4.在touchesEnded中相应的位置添加如下代码去执行按钮点击时要回调的方法：</p>
<pre><code>1         //点击结束要调用myButtonDidTap  委托回调
2         if ([self.delegate respondsToSelector:@selector(myButtonDidTap:)])
3         {
4             [self.delegate myButtonDidTap:self];
5         }</code></pre>
<p> </p>
<p> </p>
<p>　　　　5、在MyViewController.m中注册委托回调</p>
<pre><code>1     //注册委托回调
2     button.delegate = self;</code></pre>
<p> </p>
<p>　　　　6、MyViewController要实现MyButtonDelegate,并实现相应的方法</p>
<pre><code>//实现button委托回调的方法myButtonShouldTap：设置button是否好用
-(BOOL) myButtonShouldTap:(MyButton *)sender
{
    NSLog(@"我是Delegate：should方法");
    return YES;
}

//实现按钮将要点击的方法
-(void)myButtonWillTap:(MyButton *)sender
{
    NSLog(@"我是Delegate: will方法");
}

//实现按钮点击完要回调的方法
-(void) myButtonDidTap:(MyButton *)sender
{
    NSLog(@"我是Delegate: Did");
}</code></pre>
<p> </p>
<p>　　三.Block回调</p>
<p>　　　　1、为我们的按钮添加Block回调（把上面的委托回调改成Block回调），和之前微博中的Cell的Block回调类似，首先在MyButton.h中声明我们要用的Block类型，然后提供Block的set方法：</p>
<pre><code>//button中使用Block回调，定义Block类型
@class MyButton;
typedef void (^ButtonWillAndDidBlock) (MyButton *sender);
typedef BOOL (^ButtonShouldBlock) (MyButton *sender);

//接受block的方法
-(void)setButtonShouldBlock: (ButtonShouldBlock) block;
-(void)setButtonWillBlock: (ButtonWillAndDidBlock) block;
-(void)setButtonDidBlock:(ButtonWillAndDidBlock) block;</code></pre>
<p> </p>
<p> </p>
<p>　　　　2.在MyButton.m中的延展中添加相应的属性来接受Controller中传过来的Block</p>
<pre><code>1 //接受block块
2 @property (nonatomic, strong) ButtonWillAndDidBlock willBlock;
3 @property (nonatomic, strong) ButtonWillAndDidBlock didBlock;
4 @property (nonatomic, strong) ButtonShouldBlock shouldBlock;</code></pre>
<p>　　</p>
<p>　　　　3.实现setter方法</p>
<pre><code>//实现block回调的方法
-(void)setButtonWillBlock:(ButtonWillAndDidBlock)block
{
    self.willBlock = block;
}

-(void)setButtonDidBlock:(ButtonWillAndDidBlock)block
{
    self.didBlock = block;
}

-(void) setButtonShouldBlock:(ButtonShouldBlock)block
{
    self.shouldBlock = block;
}</code></pre>
<p> </p>
<p>　　　　4.在MyButton.m中有委托调用的地方加入相应的Block回调，添加的代码如下：</p>
<pre><code>//block回调
    if (self.shouldBlock) {
        //block回调获取按钮状态
        myButtonState = self.shouldBlock(self);
    }

        //block回调实现willTap
        if (self.willBlock)
        {
            self.willBlock(self);
        }

        //block回调
        if (self.didBlock) {
            self.didBlock(self);
        }</code></pre>
<p> </p>
<p>　　　5、在MyViewController中调用Button中的setter方法传入相应的block：</p>
<pre><code>//实现button的block回调
    [button setButtonShouldBlock:^BOOL(MyButton *sender) {
        NSLog(@"我是Block: should方法\n\n");
        return YES;
    }];

    [button setButtonWillBlock:^(MyButton *sender) {
        NSLog(@"我是Block: Will方法\n\n");
    }];

    [button setButtonDidBlock:^(MyButton *sender) {
        NSLog(@"我是Blcok: Did方法\n\n");
    }];

    [self.view addSubview:button];</code></pre>
<p>　经过上面的代码我们的button就拥有三种回调模式了，下面是点击button控制台输出的日志：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzU0NTQ0Ni8yMDE0MDkvMTAxODEwMzM5MTg2MzI2LnBuZw==.jpg"></p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-13 16:14:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%ae%be%e8%ae%a1%e6%a8%a1%e5%bc%8f/" title="设计模式">设计模式</a>, <a href="https://www.iamivan.net/tag/ios%e5%bc%80%e5%8f%91/" title="ios开发">ios开发</a>, <a href="https://www.iamivan.net/tag/%e5%a7%94%e6%89%98%e4%bb%a3%e7%90%86/" title="委托代理">委托代理</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>IOS开发之自定义Button(集成三种回调模式)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6LL0b.html" rel="bookmark">iOS开发之自定义表情键盘&lpar;组件封装与自动布局&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面的东西是编写自定义的表情键盘,话不多说,开门见山吧!下面主要用到的知识有MVC, iOS开发中的自动布局,自定义组件的封装与使用,Block回调,CoreData的使用.有的小伙伴可能会问写一个自定义表情键盘肿么这么麻烦?下面将会介绍我们如何用上面提到的东西来定义我们的表情键盘.下面的内容会比较多,这篇博文还是比较有料的. 还是那句话写技术博客是少不了代码的,下面会结合代码来回顾一下iOS的知识,本篇博文中用到的知识点在前面的博客中都能找到相应的内容,本篇算是一个小小的功能整合.先来张图看一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0NOR8z.html" rel="bookmark">IOS 开发之自定义按钮实现文字图片位置随意定制&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IOS 开发之自定义按钮实现文字图片位置随意定制 可能有些看到这篇文章的朋友会觉得很不屑:&quot;按钮谁不会自定义?还需要看你的?&quot; 也确实,按钮是我们项目中最常见的控件之一,天天在使用.对于不同类型的按钮,我们是否有更加简便的方法来实现需求是我们需要做的.这里我提出自己的两种方法,您可以对你自己平时自定义按钮的方法做一下对比,看看哪种方法更加简单. 多说一句,千万不要觉得知识简单,觉得自己会了,没必要学习.'往往简单的东西存在大智慧'(这个比给满分),知识都是慢慢积累出来的. 按钮是应用中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq8QVab.html" rel="bookmark">Angularjs 自定义服务的三种方式&lpar;推荐&rpar;&lowbar;AngularJS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				AngularJS简介: AngularJS 通过新的属性和表达式扩展了 HTML. AngularJS 可以构建一个单一页面应用程序(SPAs:Single Page Applications). AngularJS 学习起来非常简单. angularjs 中可通过三种($provider,$factory,$service)方式自定义服务,以下是不同的实现形式: // 定义module , module中注入$provide var starterApp = angular.module('			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmo2Az.html" rel="bookmark">ios开发-IOS开发使用自定义字体路径问题求大神</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 IOS开发使用自定义字体路径问题求大神 在项目开发中,我需要实现服务器管理UI风格,返回给我一个TTF格式的自定义字体包,我在加载里面的字体,问题就是服务器返给我的TTF字体包,我保存在沙盒里面读取不到.网上也找了很多资料,都没有答案,请问大神该怎么样解决.或者说我怎么把下载的字体加载到我的工程中 解决方案 http://blog.sina.com.cn/s/blog_9bf8abf301018pbr.html 解决方案二: iOS开发 - 使用自定义字体ios 使用自定义字体IOS使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJO3O2b.html" rel="bookmark">比较IOS开发中常用视图的四种切换方式&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在iOS开发中,比较常用的切换视图的方式主要有以下几种: 1. push.pop 使用举例(ViewController假设为需要跳转的控制器): [self.navigationController pushViewController:ViewController animated:YES]; //入栈,跳转到指定控制器视图 [self.navigationController popViewControllerAnimated:YES]; //弹栈,返回到前一个视图 [self.navig			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MydLadb.html" rel="bookmark">&lbrack;WCF权限控制&rsqb;WCF的三种授权模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面的两篇文章(&lt;从两个重要的概念谈起:Identity与Principal[上篇]&gt;和&lt;从两个重要的概念谈起:Identity与Principal[下篇]&gt;)主要探讨基于安全主体的授权.通过这些介绍我们知道:如果我们在实施授权的时候,当前线程的安全主体能够被正确设置,我们就可以正确地完成授权.基于相同的原理,对于WCF的服务授权,如果正确的安全主体能够在服务操作被执行之前被正确设置到当前线程,借助于这个安全主体,我们不但可以采用命令式编程的方式将授权逻辑写在相应的操作中,也可以采			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDXL0Xz.html" rel="bookmark">微软云计算的三种运营模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				微软云计算拓展战略包括三大取向,即三种不同的云计算运营模式: 第一种,微软出资搭建,客户付费享用.微软正在全球范围内包括中国搭建统一的公共云服务平台,同时向各类企业.社会组织和个人消费者等客户提供云服务. 图一:微软云计算结构示意图 例如,微软向最终使用者提供的Online Services和Windows Live等服务.这种软件+服务的战略取向,只有大而强.技术过硬且有超前眼光的公司才能做到,现在,微软云计算已经做到了.并且对使用这种运营模式的客户而言,经济实惠.快速便捷.安全可靠. 第二种			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeK3vxM.html" rel="bookmark">分享ajax的三种解析模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Ajax中的JSON格式 html代码: &lt;html&gt; &lt;body&gt; &lt;input type=&quot;button&quot; value=&quot;Ajax&quot; id=&quot;btn&quot;&gt; &lt;script&gt; var btn = document.getElementById(&quot;btn&quot;); btn.onclick = function(){ var xhr = getXhr(); xhr.open(&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M914jKM.html" rel="bookmark">ISA&amp;amp&semi;amp&semi;TMG三种客户端模式简介（四） Web代理 客户端</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前面几次,我们主要聊到了TMG/ISA中的三种客户端中的&quot;防火墙客户端&quot;.&quot;Secure NAT客户端模式&quot;今天呢,我们就来聊聊第三种客户端模式&quot;Web 代理客户端&quot;.那么接下来我们来看看&quot;web 代理客户端&quot;向服务器端口发送请求的客户端应用程序或计算机的端口有哪些呢? 1.ISA 服务器计算机上的端口 80. 2. ISA 服务器侦听来自客户端计算机所在网络的传出 Web 请求时所用的端口.默认情况下,ISA 服务器在端口			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7kKKz.html" rel="bookmark" class="title">《鸟哥的Linux私房菜》7章 Linux文件与目录管理 习题答案</a>
					<div>
						自己整理了一下,分享给大家,这些习题确实是非常经典的! 1.什么是绝对路径与相对路径? 绝对路径是相对于/目录的路径的,比如/home/user: 相对路径是相对于当前工作目录的,比如你的系统上有个/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4evjb.html" rel="bookmark" class="title">Dropdownlist添加一项&mdash;&mdash;&amp;amp&semi;quot&semi;请选择&amp;amp&semi;quot&semi;</a>
					<div>
						 protected void Page_Load(object sender, EventArgs e)         {             if (!IsPostBack)         ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO4Nvb.html" rel="bookmark" class="title">分享很实用的css圆角写法&lbrack;百度有啊提取&rsqb;</a>
					<div>
						注意css所用的图片路径,已修改兼容ie6 ie7 ff ,IE6中样式加了宽度,去掉了多余的_bottom:-1px属性以下是HTML网页特效代码,点击运行按钮可查看效果: [Ctrl+A 全部选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKWLLb.html" rel="bookmark" class="title">Informix字段类型</a>
					<div>
						Informix的字段类型 字段类型 描述 字段长度及其缺省值 char(size) 用于保存定长(size)字节的字符串数据. 每行定长(不足部分补为空格):最大长度为254字节,缺省值为每行1字节 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLRE3b.html" rel="bookmark" class="title">Vista SP1你了解多少</a>
					<div>
						2008年4月16日微软发布了Vista SP1中文正式版,并邀请媒体朋友一起对Vista SP1的很多问题进行了讨论和解答.会议上微软透漏了很多关于Vista SP1的细节,而这些细节绝对是那些关心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPVYWz.html" rel="bookmark" class="title">Oracle体系结构及备份（二） 执行select语句的过程分析</a>
					<div>
						一 环境 Oracle 11g R2 + SQL Plus + Windows 7 Ultimate English Edition 二   操作示例 Microsoft Windows [Versi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7Ba2b.html" rel="bookmark" class="title">ps滤镜打造个性化简历技巧</a>
					<div>
						最终效果 1.首先笔者先从毕业生的专业为起点去思考其主题,医生的职业里最经常见到是和用到的有很多工具,笔者就以处方笺为主题进行创意制作.先看看效果图: 2.新建A4大小,将背景色填灰色.新建图层一,先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKekNp.html" rel="bookmark" class="title">给大学做PPT的十条建议</a>
					<div>
						如何做好PPT 每个人的大学都有苦逼于做PPT的时候,又想在自己心仪的妹子前炫一把,又苦于自己对于PPT难于入手的无奈,那如何让自己的PPT在妹子前炫一把呢,正经地讲是大学生怎样才能做好PPT呢,这里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oWj6b.html" rel="bookmark" class="title">win7系统桌面图片和文件没有扩展名后缀的原因和解决方法</a>
					<div>
						  win7系统桌面图片和文件没有扩展名后缀的原因和解决方法          具体方法如下: 1.我的电脑图片和文件格式后缀是没有的,经过几步简单的操作就可以见证奇迹了; 2.大家看一下其实这些文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGJDWp.html" rel="bookmark" class="title">如何设置Word2007文档中大号空心字</a>
					<div>
						  今天跟大家分享的是在word2007文档中大号的空心字如何设置的方法,有需要的同学来学习下吧,比如大家要设置元旦或春节的海报啊什么的应该用得到. ①打开Word2007,首先输入你想输入的汉字,选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7J5db.html" rel="bookmark" class="title">在Word2003中快速添加整行下划线</a>
					<div>
						  用户在Word2003文档中添加整行下划线时,往往采取输入空格符并添加下划线的方法来实现.其实如果借助Word2003的&quot;边框和底纹&quot;功能,则可以快速添加整行下划线,操作步骤如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGLv8p.html" rel="bookmark" class="title">360杀毒怎么添加信任白文件</a>
					<div>
						第一步:找到360杀毒图标,双击打开360杀毒,点击右上角的&quot;设置&quot;按钮 第二步:在&quot;360杀毒-设置&quot;界面中点击&quot;文件白名单&quot;, 第三步: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZV2Vz.html" rel="bookmark" class="title">IBOS为什么快速新建的用户登陆后提示没权限？</a>
					<div>
						  公司组织架构和使用账号快速建立后,新建用户的权限默认为空.因此登陆后点击任何菜单都将提示没有权限.在基础设置完成后,需要由下图所示的菜单进入到&quot;人力资源-组织架构-角色管理&quot;去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ejKgb.html" rel="bookmark" class="title">怎样打开cdr文件</a>
					<div>
						  cdr是什么文件 简单的说cdr文件是图形图象文件,是CorelDraw图像制作保存的文件格式,CorelDraw图像软件是一套屡获殊荣的图形.图像编辑软件,它包含两个绘图应用程序:一个用于矢量图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EV5vM.html" rel="bookmark" class="title">云计算的未来畅想（五） -- matrix（终篇）</a>
					<div>
						01本文摘要 ------ &quot;接下来的互联网会是什么? 是&quot;任何人.任何物.任何时间.任何地点,永远在线.随时互动&quot;. 02作者简介 ------ 拖雷  袋鼠云CEO  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My324kz.html" rel="bookmark" class="title">nio</a>
					<div>
						 http://www.ibm.com/developerworks/cn/java/j-javaio/					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6mQjb.html" rel="bookmark" class="title">arg-关于qt的QString成员函数</a>
					<div>
						问题描述 关于qt的QString成员函数 2C QString类中有个函数QString arg(long a int fieldwidth=0 int base=10 QChar fillChar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkw1W5p.html" rel="bookmark" class="title">基于递归实现的php树形菜单代码&lowbar;php技巧</a>
					<div>
						本文实例讲述了基于递归实现的php树形菜单代码.分享给大家供大家参考.具体实现方法如下: 开发电子商务网站的时候,做了这个显示树形菜单的功能,用的递归实现的PHP树形菜单函数.具体代码如下: 复制代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2Zvmb.html" rel="bookmark" class="title">使用grunt合并压缩js、css文件</a>
					<div>
						需要了解的知识: 1.nodejs的安装与命令行使用 2.nodejs安装应用 3.grunt的初步了解 本文已假定读者已经熟悉以上知识.   好,我们继续: 任务1:将src目录下的所有zepto及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N75LM.html" rel="bookmark" class="title">java多种幻灯片切换特效&lpar;经典&rpar;&lowbar;java</a>
					<div>
						功能实现: 1.图片加载类ImageLoader实现: 1)用阻塞队列存储要图片:BlockingQueue images = new ArrayBlockingQueue&lt;&gt;(2); 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAD6lM.html" rel="bookmark" class="title">你可能不知道的一些JavaScript 奇技淫巧</a>
					<div>
						原文:你可能不知道的一些JavaScript 奇技淫巧 这里记录一下以前学习各种书籍和文章里边出现的JS的小技巧,分享给大家,也供自己查阅,同时感谢那些发现创造和分享这些技巧的前辈和大牛们. 1.遍历 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NjWDz.html" rel="bookmark" class="title">Day2&amp;amp&semi;Day3&commat;JavaOne2017</a>
					<div>
						1. Java Keynotes 先是社区代表亮相,为Java社区背书. 接下来是每年都有的Innovation Sponsor Intel的时间,当然不全是广告,从这个过程中还是可以了解到Intel ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nnvnz.html" rel="bookmark" class="title">Erlang如何限制节点对集群的访问之net&lowbar;kernel&colon;allow</a>
					<div>
						问题描述 默认情况下Erlang的集群访问是全授权的,只要cookie认证过了后,新加入的节点可以访问集群里面的任何机器,这给运维带来很大风险.目前erlang有二种方法可以限制 1. IP网段限制, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWAnkz.html" rel="bookmark" class="title">iOS学习之 plist文件的读写</a>
					<div>
						  在做iOS开发时,经常用到到plist文件,  那plist文件是什么呢? 它全名是:Property List,属性列表文件,它是一种用来存储串行化后的对象的文件.属性列表文件的扩展名为.pli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBdaGM.html" rel="bookmark" class="title">Android ROM开发（一）&mdash;&mdash;Windows下Cygwin和Android&lowbar;Kitchen厨房的安装</a>
					<div>
						Android ROM开发(一)--Windows下Cygwin和Android_Kitchen厨房的安装 很久没有碰到ROM开发了,在很久很久以前也是从ROM起步的,无奈还是一脚踏上了Android ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAADrvM.html" rel="bookmark" class="title">mvc4-asp &period;net mvc项目加载非常慢，求大侠们帮帮忙啊！！！</a>
					<div>
						问题描述 asp .net mvc项目加载非常慢,求大侠们帮帮忙啊!!! 项目运行时,点击超链接进入另一个视图或者action时页面加载就会非常慢,页面变成空白二三十秒才会加载出来,模板视图中代码也没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqYNyz.html" rel="bookmark" class="title">阿里妈妈成立淘宝无线联盟 致力打造阿里PC端电商平台</a>
					<div>
						    投资界12月21日消息,阿里妈妈宣布正式成立淘宝无线联盟平台,向开发者和合作商提供以效果计费的广告产品.据悉,无线联盟是升级后的阿里妈妈开放广告平台的一部分. 据淘宝无线联盟负责人重山透露,淘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXLDWz.html" rel="bookmark" class="title">Jsp中如何添加超链接跳转至另一个页面？</a>
					<div>
						问题描述 跪求大神指导啊....急用,谢谢! 解决方案 解决方案二:&lt;a&gt;标签??解决方案三:问题太宽泛了.另一个页面是html页面,还是jsp页面呢?页面在WEB-INF里面,还是外面呢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Y2xBz.html" rel="bookmark" class="title">百度云iPad版所支持视频格式</a>
					<div>
						给各位百度云软件的用户们来详细的解析分享一下百度云iPad版所支持的视频格式. 分享一览: 百度云iPad版基本覆盖了所有视频格式,您可以根据网络环境选择流畅和原画两种播放模式.还可以将视频离线至本地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNNKKM.html" rel="bookmark" class="title">WLAN是实现物联网无缝连接的粘合剂</a>
					<div>
						企业资产.人员和业务实时可视化产品与服务全球领先提供商斑马技术公司(纳斯达克股票代码:ZBRA)今日向亚太地区的合作伙伴和客户重申其大力发展WLAN 解决方案的承诺.在近期举办的全球合作伙伴峰会上-- ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
